ResultFilterPanelManager (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.filterresult

## Class ResultFilterPanelManager

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.filterresult.ResultFilterPanelManager

-     public class ResultFilterPanelManager
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bind(StreamPagingLoader loader)`
    `String` | `getGroupByRank()`
    `static ResultFilterPanelManager` | `getInstance()`
    `List<com.extjs.gxt.ui.client.widget.ContentPanel>` | `getListResultFilterPanel()`
    `String` | `getUpdatedGroupByRank()`
    `void` | `loadDataSource(List<DataSourceModel> result)`
    `void` | `resetFilters()`
    `void` | `setEventBus(com.google.gwt.event.shared.EventBus eventBus)`
    `void` | `setGroupByRank(String groupByRank)`
    `void` | `setIsDataLoaded(boolean bool)`
    `void` | `updateDataSourceFilter()`
    `void` | `updateDataSourceFilterById(SpeciesGridFields filterId)`
    `void` | `updateFilterCounterForClassification()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getListResultFilterPanel

          public List<com.extjs.gxt.ui.client.widget.ContentPanel> getListResultFilterPanel()

    - #### getInstance

          public static ResultFilterPanelManager getInstance()

    - #### loadDataSource

          public void loadDataSource(List<DataSourceModel> result)

    - #### setEventBus

          public void setEventBus(com.google.gwt.event.shared.EventBus eventBus)

    - #### setIsDataLoaded

          public void setIsDataLoaded(boolean bool)

    - #### bind

          public void bind(StreamPagingLoader loader)

    - #### updateDataSourceFilterById

          public void updateDataSourceFilterById(SpeciesGridFields filterId)

    - #### updateDataSourceFilter

          public void updateDataSourceFilter()

    - #### resetFilters

          public void resetFilters()

    - #### updateFilterCounterForClassification

          public void updateFilterCounterForClassification()

    - #### getUpdatedGroupByRank

          public String getUpdatedGroupByRank()

    - #### setGroupByRank

          public void setGroupByRank(String groupByRank)

    - #### getGroupByRank

          public String getGroupByRank()

Copyright © 2013. All Rights Reserved.